Bug 237355 - Review Request: kflickr - an easy to use photo uploader for flickr written for KDE.
Summary: Review Request: kflickr - an easy to use photo uploader for flickr written f...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-20 23:54 UTC by Michael Stahnke
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 0.8-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-16 13:24:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2007-04-20 23:54:04 UTC
Spec URL: http://www.stahnkage.com/rpms/kflickr.spec
SRPM URL: http://www.stahnkage.com/rpms/kflickr-0.8-1.src.rpm
Description: kflickr is an easy to use photo uploader for flickr written for KDE.

Comment 1 Parag AN(पराग) 2007-04-27 03:25:06 UTC
mock build gave me
cp: warning: source file `AUTHORS' specified more than once
=>remove double entry of AUTHORS from SPEC
 and
rpmlint on rpm 
W: kflickr dangling-relative-symlink /usr/share/doc/HTML/en/kflickr/common
../../en/common

=> which  I assume for kde packages is OK.

Comment 2 Parag AN(पराग) 2007-05-13 13:10:22 UTC
ping?

Comment 3 Michael Stahnke 2007-05-14 02:28:17 UTC
I guess I was thinking there would be a more formal review than that.  Sorry if
that was the review in total.  The KDE packages can be this way from what I have
read in packaging guidelines.  

Comment 4 Parag AN(पराग) 2007-05-14 02:38:31 UTC
and I was thought you will update SPEC as suggested in comment #1 :)


Comment 5 Parag AN(पराग) 2007-05-14 02:39:50 UTC
and remove INSTALL file also from %doc.
update new SPEC and submit new links here for SPEC and SRPM

Comment 6 Michael Stahnke 2007-05-14 23:21:47 UTC
http://www.stahnkage.com/rpms/kflickr-0.8-2.src.rpm

http://www.stahnkage.com/rpms/kflickr.spec

I think having the INSTALL file as part of the %doc is normal. 

(on rawhide)
$ find /usr/share/doc -name INSTALL |wc -l
69





Comment 7 Parag AN(पराग) 2007-05-15 01:08:48 UTC
(In reply to comment #6)
> http://www.stahnkage.com/rpms/kflickr-0.8-2.src.rpm
> 
> http://www.stahnkage.com/rpms/kflickr.spec
> 
> I think having the INSTALL file as part of the %doc is normal. 
> 
> (on rawhide)
> $ find /usr/share/doc -name INSTALL |wc -l
> 69
> 
  Yes. I agree still many packages are using INSTALL and I bet most of them must
be Core packages which never gone under review. If you see most of extras
package should not be having INSTALL.
  Basically INSTALL file is used by those who want to install tarball manually
and not from any rpm format binary. If we are providing rpms then our SPEC file
contains all information how/where to install on system.
  Thats why 69 count is unnecessary files on system



Comment 8 Michael Stahnke 2007-05-15 04:44:10 UTC
Ok, removed INSTALL file.  
http://www.stahnkage.com/rpms/kflickr-0.8-3.src.rpm

http://www.stahnkage.com/rpms/kflickr.spec

Comment 9 Parag AN(पराग) 2007-05-15 04:45:55 UTC
Baiscally INSTALL COPYING AUTHORS NEWS are files which are having generic
contents  as they got created with auto* commands.

Comment 10 Parag AN(पराग) 2007-05-15 05:24:16 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM
- rpmlint is NOT silent RPM.
+ source files match upstream.
cdda0c42b8e492a1c762014187dbfe63  kflickr-0.8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text COPYING is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ scriptlets are used.
+ Provides: libkflickrpart.so
+ Requires: kdebase >= 3.4 libDCOP.so.4 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) libgcc_s.so.1 libkdecore.so.4
libkdeui.so.4 libkio.so.4 libkparts.so.2 libm.so.6 libqt-mt.so.3 libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ GUI app.
APPROVED.


Comment 11 Michael Stahnke 2007-05-15 12:15:07 UTC
New Package CVS Request
=======================
Package Name: kflickr
Short Description: an easy to use photo uploader for flickr written for KDE.
Owners: mastahnke@gmail.com
Branches:  FC-6, EL-5
InitialCC: 

Comment 12 Dennis Gilmore 2007-05-15 12:30:17 UTC
cvs done

Comment 13 Michael Stahnke 2007-06-09 14:35:37 UTC
New Package CVS Request
=======================
Package Name: kflickr
Short Description: an easy to use photo uploader for flickr written for KDE.
Owners: mastahnke@gmail.com
Branches:  F7
InitialCC: 

Comment 14 Jason Tibbitts 2007-06-10 02:30:48 UTC
Branched to F-7.

Comment 15 Fedora Update System 2007-06-11 22:06:06 UTC
kflickr-0.8-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2007-06-16 13:24:56 UTC
kflickr-0.8-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.